Bug 1224232 - BitRot :- In case of NFS mount, Object Versioning and file signing is not working as expected
Summary: BitRot :- In case of NFS mount, Object Versioning and file signing is not wor...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: bitrot
Version: rhgs-3.1
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: RHGS 3.1.0
Assignee: Bug Updates Notification Mailing List
QA Contact: RajeshReddy
URL:
Whiteboard:
Depends On:
Blocks: 1202842 1223636
TreeView+ depends on / blocked
 
Reported: 2015-05-22 11:11 UTC by RajeshReddy
Modified: 2016-09-17 14:23 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1207979
Environment:
Last Closed: 2015-07-29 04:51:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1495 0 normal SHIPPED_LIVE Important: Red Hat Gluster Storage 3.1 update 2015-07-29 08:26:26 UTC

Description RajeshReddy 2015-05-22 11:11:34 UTC
+++ This bug was initially created as a clone of Bug #1207979 +++

Description of problem:
=======================
If file is edited from NFS mount then Version is not incremented and bitd is not updating checksum for file


Version-Release number of selected component (if applicable):
=============================================================
0.803.gitf64666f.el6.x86_64

How reproducible:
=================
always

Steps to Reproduce:
===================
1. create and NFS mount volume.
2. enable bitrot
3. create few files.
4. Update file from NFs mount and check version and checksum

on client:-
[root@rhs-client44 linux-3.19]# mount | grep nfs
rhs-client44.lab.eng.blr.redhat.com:/rac1 on /mnt/rac1 type nfs (rw,addr=10.70.36.68)

On server:- 
[root@rhs-client44 linux-3.19]# getfattr -d -m . -e hex /pavanbrick6/r1/f5
getfattr: Removing leading '/' from absolute path names
# file: pavanbrick6/r1/f5
trusted.gfid=0x3f396fffe3754fa8ba6a62afc00b39a4
trusted.glusterfs.bit-rot.signature=0x01000000000000000100000000000000e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855
trusted.glusterfs.bit-rot.version=0x0100000000000000551a639300053ca4

from client:-
[root@rhs-client44 linux-3.19]# echo "abc" >> /mnt/rac1/f5


verify on server:-
[root@rhs-client44 linux-3.19]# getfattr -d -m . -e hex /pavanbrick6/r1/f5
getfattr: Removing leading '/' from absolute path names
# file: pavanbrick6/r1/f5
trusted.gfid=0x3f396fffe3754fa8ba6a62afc00b39a4
trusted.glusterfs.bit-rot.signature=0x01000000000000000100000000000000e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855
trusted.glusterfs.bit-rot.version=0x0100000000000000551a639300053ca4


Actual Result:-
===============
Object version is not incremented and checksum is not updated

Expect Result:-
===============
On modification it should increment object version and re calculate

--- Additional comment from Anand Avati on 2015-04-14 07:04:20 EDT ---

REVIEW: http://review.gluster.org/10233 (features/bit-rot-stub: track opens and releases via a list of fds) posted (#1) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2015-04-23 10:08:05 EDT ---

REVIEW: http://review.gluster.org/10233 (features/bit-rot-stub: track opens and releases via a list of fds) posted (#2) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2015-04-28 10:11:06 EDT ---

REVIEW: http://review.gluster.org/10233 (features/bit-rot-stub: track opens and releases via a list of fds) posted (#3) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2015-04-30 06:33:26 EDT ---

REVIEW: http://review.gluster.org/10233 (features/bit-rot-stub: versioning of objects in write fop instead of open) posted (#4) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2015-04-30 09:40:25 EDT ---

REVIEW: http://review.gluster.org/10233 (features/bit-rot-stub: versioning of objects in write/truncate fop instead of open) posted (#5) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2015-05-01 08:25:01 EDT ---

REVIEW: http://review.gluster.org/10233 (features/bit-rot-stub: versioning of objects in write/truncate fop instead of open) posted (#6) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2015-05-02 00:04:28 EDT ---

REVIEW: http://review.gluster.org/10233 (features/bit-rot-stub: versioning of objects in write/truncate fop instead of open) posted (#7) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2015-05-06 06:58:39 EDT ---

REVIEW: http://review.gluster.org/10233 (features/bit-rot-stub: versioning of objects in write/truncate fop instead of open) posted (#8) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2015-05-06 16:18:22 EDT ---

REVIEW: http://review.gluster.org/10233 (features/bit-rot-stub: versioning of objects in write/truncate fop instead of open) posted (#9) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2015-05-07 05:12:21 EDT ---

REVIEW: http://review.gluster.org/10233 (features/bit-rot-stub: versioning of objects in write/truncate fop instead of open) posted (#10) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

--- Additional comment from Anand Avati on 2015-05-08 02:16:40 EDT ---

REVIEW: http://review.gluster.org/10233 (features/bit-rot-stub: versioning of objects in write/truncate fop instead of open) posted (#11) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

Comment 2 Gaurav Kumar Garg 2015-06-05 11:19:35 UTC
commit da48a6a596251c19a8ddb1bdfec3da9744a78b8f
 will solve this issue. patch for this bug already available in rhgs-3.1. so moving status of this bug ON_QA

Comment 3 RajeshReddy 2015-06-08 09:30:32 UTC
Tested with glusterfs-fuse-3.7.0-3 and file versioning and scrubbing is working with nfs protocol too so marking this bug as verified

Comment 4 errata-xmlrpc 2015-07-29 04:51:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1495.html


Note You need to log in before you can comment on or make changes to this bug.